# $Revision: 1.42 $, $Date: 2009/06/09 09:56:30 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	DockApp Making Standard Library
Summary(pl.UTF-8):	Biblioteka do tworzenia dokowalnych aplikacji
Summary(pt_BR.UTF-8):	Biblioteca para desenvolver aplicativos dock
Name:		libdockapp
Version:	0.6.2
Release:	1
License:	BSD
Group:		X11/Libraries
Source0:	http://solfertje.student.utwente.nl/~dalroi/libdockapp/files/%{name}-%{version}.tar.bz2
# Source0-md5:	05a9a5f295d956397e6bb53bad3a0322
Patch0:		%{name}-Makefile.patch
URL:		http://solfertje.student.utwente.nl/~dalroi/libdockapp/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	xorg-proto-xextproto-devel
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	docklib

%description
DockApp Making Standard Library.

%description -l pl.UTF-8
Standardowa biblioteka do tworzenia dokowalnych aplikacji.

%description -l pt_BR.UTF-8
Esta biblioteca provê um início básico para o desenvolvimento de
aplicativos dock.

%package devel
Summary:	Header files etc to develop DockApps
Summary(pl.UTF-8):	Pliki nagłówkowe i inne do tworzenia dokowalnych aplikacji
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento para a libdockapp
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXpm-devel

%description devel
Header files etc to develop DockApps.

%description devel -l pl.UTF-8
Pliki nagłówkowe i inne niezbędne do tworzenia dokowalnych aplikacji w
oparciu o tę bibliotekę.

%description devel -l pt_BR.UTF-8
Arquivo de cabeçalho e bibliotecas de desenvolvimento para a
libdockapp

%package static
Summary:	Static libdockapp library
Summary(pl.UTF-8):	Biblioteka statyczna libdockapp
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com libdockapp
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libdockapp library.

%description static -l pl.UTF-8
Biblioteka statyczna libdockapp.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com libdockapp

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -rf examples/[br]* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
fontpostinst misc

%postun
/sbin/ldconfig
fontpostinst misc

%files
%defattr(644,root,root,755)
%doc README AUTHORS NEWS ChangeLog
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_fontsdir}/misc/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_examplesdir}/%name-%{version}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdockapp.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdockapp.spec,v $
Revision 1.42  2009/06/09 09:56:30  amateja
- updated to 0.6.2

Revision 1.41  2008/11/09 17:11:59  arekm
- release 5

Revision 1.40  2008/07/27 22:25:46  arekm
- release 4

Revision 1.39  2007-07-23 17:29:50  witekfl
- added missing #

Revision 1.38  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.37  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.36  2006/08/23 13:33:30  qboosh
- strict internal deps

Revision 1.35  2006/08/23 13:05:11  havner
- argh

Revision 1.34  2006/08/23 13:03:09  havner
- modular xorg deps
- rel 2

Revision 1.33  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.32  2005/06/15 18:03:01  witekfl
- added bcond_without static_libs

Revision 1.31  2004/01/11 09:34:07  qboosh
- fixed post/postun

Revision 1.30  2004/01/10 16:05:59  yogib
- up to 0.5.0
- new URL
- added: fonts, examples, install patch

Revision 1.29  2003/09/02 12:30:44  qboosh
- -devel R: XFree86-devel

Revision 1.28  2003/05/28 12:59:27  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 05:49:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/01/18 22:53:33  juandon
- removed two lines with define

Revision 1.25  2002/11/27 21:10:40  juandon
- new %%doc

Revision 1.24  2002/11/25 14:16:51  ankry
- massive attack: no need for 755 for *.la

Revision 1.23  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.22  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.21  2002/05/21 23:13:44  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.20  2002/04/24 07:51:30  arturs
License field change

Revision 1.19  2002/04/13 07:50:58  kloczek
- merge translations from Conectiva.

Revision 1.18  2002/04/13 00:22:37  marcus
- rel.6.

Revision 1.17  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.16  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:13:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.13  2001/10/01 08:07:48  qboosh
- adapterized, BuildRequires: autoconf, automake, libtool

Revision 1.12  2001/09/28 23:58:37  blues
- release 5
- make libtool happy
- ac2.5 ready

Revision 1.11  2001/05/30 08:40:47  kloczek
- relase 4.

Revision 1.10  2000/11/05 18:15:42  kloczek
- release 3: removed xpm-devel from BuildRequires.

Revision 1.9  2000/09/28 22:41:46  kloczek
- release 2: use rpm new automation suit.

Revision 1.8  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:20  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/06/07 02:46:39  kloczek
- spec adapterized.

Revision 1.5  2000/04/03 02:13:36  kloczek
- updated to 0.4.0.

Revision 1.4  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.2  2000/03/03 03:47:54  kloczek
- release 2,
- added missing %defattr() in devel.

Revision 1.1  2000/02/08 22:09:50  pius
- renamed package to libdockapp
- added Obsoletes: docklib
- updated to 0.3.0
- added devel and static subpackages
- other minor changes

Revision 1.5  1999/09/24 10:27:16  kloczek
- release 2.

Revision 1.4  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.3  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Jul 04 1999 Piotr Czerwiński <pius@pld.org.pl>
  [0.2-1]
- initial rpm release for PLD use.
